跳转到主要内容
GET
https://api.aisa.one/apis/v1
/
pinterest
/
search
搜索
curl --request GET \
  --url https://api.aisa.one/apis/v1/pinterest/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/pinterest/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/pinterest/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "pins": [
    {
      "id": "643874078015272259",
      "url": "https://www.pinterest.com/pin/643874078015272259",
      "description": "#cute #animal #dog #puppy #pfp #icon #dogpfp #silly #cutepuppy #bordercollie #fyp #trend",
      "created_at": "Tue, 10 Jun 2025 21:45:32 +0000",
      "pinner": {
        "node_id": "VXNlcjo2NDM4NzQyMTUzODQxMzkwMTg=",
        "full_name": "Annika Strøm",
        "is_ads_only_profile": false,
        "username": "annikastrom2",
        "image_medium_url": "https://i.pinimg.com/75x75_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg",
        "is_primary_website_verified": false,
        "follower_count": 2,
        "ads_only_profile_site": null,
        "id": "643874215384139018",
        "is_verified_merchant": false,
        "image_large_url": "https://i.pinimg.com/140x140_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg",
        "verified_identity": {},
        "image_small_url": "https://i.pinimg.com/30x30_RS/60/d5/a8/60d5a8405ec70c5c46b677186c626587.jpg"
      },
      "images": {
        "170x": {
          "width": 236,
          "height": 312,
          "url": "https://i.pinimg.com/236x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
        },
        "236x": {
          "width": 236,
          "height": 312,
          "url": "https://i.pinimg.com/236x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
        },
        "474x": {
          "width": 474,
          "height": 626,
          "url": "https://i.pinimg.com/474x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
        },
        "736x": {
          "width": 736,
          "height": 973,
          "url": "https://i.pinimg.com/736x/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
        },
        "orig": {
          "width": 946,
          "height": 1251,
          "url": "https://i.pinimg.com/originals/a7/d6/dc/a7d6dced1ee95c11a150dcf2f1c6e05f.jpg"
        }
      }
    }
  ],
  "cursor": "Y2JVSG81V2sxcmNHRlpWM1J5VFVad1ZsWl..."
}
通过关键词搜索 Pinterest Pin。

示例

curl "https://api.aisa.one/apis/v1/pinterest/search?query=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY"

授权

Authorization
string
header
必填

AIsa API 密钥。前往 https://aisa.one 获取

查询参数

query
string
必填

搜索查询

cursor
string

游标

trim
boolean

设为 true 以返回精简版响应

响应

200 - application/json

成功响应

success
boolean
credits_remaining
integer
pins
object[]
cursor
string | null